OracleVM 3.4 : microcode_ctl (OVMSA-2018-0003)

High Nessus Plugin ID 105643

Synopsis

The remote OracleVM host is missing a security update.

Description

The remote OracleVM system is missing necessary patches to address critical security updates :

- Enable early microcode load to allow updating Broadwell model 79

- Make sure 'modprobe microcode' is not executed on Broadwell model 79

- Run dracut upon microcode update

- Update Intel CPU microde for 06-3f-02, 06-4f-01, and 06-55-04

- Add amd microcode_amd_fam17h.bin data file

- Resolves: #1527357

- Update microcode data file to 20170707 revision.

- Resolves: #1465143

Solution

Update the affected microcode_ctl package.

See Also

http://www.nessus.org/u?e08f2be2

Plugin Details

Severity: High

ID: 105643

File Name: oraclevm_OVMSA-2018-0003.nasl

Version: Revision: 3.1

Type: local

Published: 2018/01/08

Modified: 2018/01/08

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:oracle:vm:microcode_ctl, cpe:/o:oracle:vm_server:3.4

Required KB Items: Host/local_checks_enabled, Host/OracleVM/release, Host/OracleVM/rpm-list

Patch Publication Date: 2018/01/05